PUT /api/v202411/emissionSource/{emissionSourceId}

Edits an emission source

EditEmissionSource_WithMultiFactorsV202411 Permissions: EmissionsSources (Edit)

Request Headers

Header Value Required Description
ECI-ApiKey string Yes Your API key. See Authentication.
Content-Type application/json Yes All requests must specify JSON content type, including the request body.

Path Parameters

Name Description Type Required
emissionSourceId The identifier for the emission source being edited integer (int32) Required

Request Body

EmissionSourceMultiFactorEdit
Property Description Type
address AddressChildBase
AddressChildBase properties
Property Description Type
city The city of the place Must be between 0 and 100 characters string
country The country of the place Must be between 0 and 64 characters string
latitude The latitude of the place Required when the country is not United States or Canada Must be between -90 and 90 Required when Longitude is set number (double)
line1 The line 1 of the address Must be between 0 and 100 characters string
line2 The line 2 of the address Must be between 0 and 100 characters string
line3 The line 3 of the address Must be between 0 and 100 characters string
longitude The longitude of the place Required when the country is not United States or Canada Must be between -180 and 180 Required when Latitude is set number (double)
postalCode The postal code of the place Must be between 0 and 32 characters string
remitTo Remit To field is the name of the person or company who should receive the payment. It’s required for bill pay customers. Must be between 0 and 100 characters string
state The state of the place Must be between 0 and 100 characters string
collectionId The collection to which the emission source belongs Required Topmost (Collection) integer (int32)
commodityId The emission source’s commodity Required integer (int32)
emissionSourceCode The emission source code Required Must be between 0 and 32 characters string
emissionSourceInfo The emission source info Required Must be between 0 and 64 characters string
isActive Is the emission source active Required (defined) boolean
note The emission source note Must be between 0 and 255 characters Required (defined) string
scopeCategoryEmissionFactorPairs A list of Factor and Scope Category pairings to be attached to this Emission Source Required (defined) GHGasFactorAndScopeCategoryPairCreate[]
GHGasFactorAndScopeCategoryPairCreate properties
Property Description Type
factor GHGDefaultFactor
GHGDefaultFactor properties
Property Description Type
factorId The Greenhouse Gas Factor identifier Required when FactorType is set to specific factor Must be null when FactorType is set to use meter address integer (int32)
factorType The Greenhouse Gas Factor type. The valid values for this field are “use meter address” or “specific factor” Required One of ‘use meter address’, ‘specific factor’ string
isDefault Flag to indicate if this Factor and Category should be considered the default for this Emission Source Required (defined) boolean
scopeCategoryId The Scope Category ID to use for this Factor/Category Pairing Required (defined) integer (int32)
Example Request Body application/json
{  "address": {    "city": "string",    "country": "string",    "latitude": 1.0,    "line1": "string",    "line2": "string",    "line3": "string",    "longitude": 1.0,    "postalCode": "string",    "remitTo": "string",    "state": "string"
  },  "collectionId": 1,  "commodityId": 1,  "emissionSourceCode": "string",  "emissionSourceInfo": "string",  "isActive": false,  "note": "string",  "scopeCategoryEmissionFactorPairs": [
    {    "factor": {      "factorId": 1,      "factorType": "string"
    },    "isDefault": false,    "scopeCategoryId": 1
  }
  ]
}

Responses

200 OK The request succeeded and the response body contains the requested data.

Response Body Parameters

EmissionSourceMultiFactorResponse
Property Description Type
active Indicates whether the emission source is active boolean
address AddressChild
AddressChild properties
Property Description Type
addressTypeId The address type identifier integer (int32)
city The city of the place Must be between 0 and 100 characters string
country The country of the place Must be between 0 and 64 characters string
latitude The latitude of the place Required when the country is not United States or Canada Must be between -90 and 90 Required when Longitude is set number (double)
line1 The line 1 of the address Must be between 0 and 100 characters string
line2 The line 2 of the address Must be between 0 and 100 characters string
line3 The line 3 of the address Must be between 0 and 100 characters string
longitude The longitude of the place Required when the country is not United States or Canada Must be between -180 and 180 Required when Latitude is set number (double)
postalCode The postal code of the place Must be between 0 and 32 characters string
remitTo Remit To field is the name of the person or company who should receive the payment. It’s required for bill pay customers. Must be between 0 and 100 characters string
state The state of the place Must be between 0 and 100 characters string
collection CollectionChild
CollectionChild properties
Property Description Type
collectionCode The collection code string
collectionIcon Icon
Icon properties
Property Description Type
code The icon code Must be between 0 and 64 characters Required when Color is set string
color The icon color Must be between 0 and 32 characters Required when Code is set string
collectionId The collection identifier integer (int32)
collectionInfo The collection info string
commodity CommodityChild
CommodityChild properties
Property Description Type
commodityCode The commodity code Required (defined) string
commodityIcon Icon
Icon properties
Property Description Type
code The icon code Must be between 0 and 64 characters Required when Color is set string
color The icon color Must be between 0 and 32 characters Required when Code is set string
commodityId The commodity identifier Required (defined) integer (int32)
commodityInfo The commodity info Required (defined) string
createdBy UserChild
UserChild properties
Property Description Type
fullName The user’s full name string
userCode The user code string
userId The user identifier integer (int32)
createdDate The date and time the emission source was created string (date-time)
emissionSourceCode The emission source code string
emissionSourceId The emission source identifier integer (int32)
emissionSourceInfo The emission source info string
meter MeterLink
MeterLink properties
Property Description Type
meterId The identifier for a Meter integer (int32)
modifiedBy UserChild
UserChild properties
Property Description Type
fullName The user’s full name string
userCode The user code string
userId The user identifier integer (int32)
modifiedDate The date and time of the most recent modification of the emission source string (date-time)
note The emission source description string
scopeCategoryEmissionFactorPairs The pairs of Scope Categories and Emission Factors assigned to this Emission Source GHGasFactorAndScopeCategoryPair[]
GHGasFactorAndScopeCategoryPair properties
Property Description Type
factor GHGasFactorChild
GHGasFactorChild properties
Property Description Type
factorCode The code for this factor string
factorId The identifier for this factor integer (int32)
factorInfo The name of this factor string
isDefaultFactor Flag to indicate if this pair is the default Factor/Category pair for an Emission Source boolean
scopeCategory GHGasScopeCategoryChild
GHGasScopeCategoryChild properties
Property Description Type
scopeCategoryDescription The description of this Scope Category string
scopeCategoryId The identifier for this Scope Category integer (int32)
scopeCategoryInfo The name of this Scope Category string
scopeId The Scope this Scope Category belongs to integer (int32)
Example Response application/json
{  "active": false,  "address": {    "addressTypeId": 1,    "city": "string",    "country": "string",    "latitude": 1.0,    "line1": "string",    "line2": "string",    "line3": "string",    "longitude": 1.0,    "postalCode": "string",    "remitTo": "string",    "state": "string"
  },  "collection": {    "collectionCode": "string",    "collectionIcon": {      "code": "string",      "color": "string"
    },    "collectionId": 1,    "collectionInfo": "string"
  },  "commodity": {    "commodityCode": "string",    "commodityIcon": {      "code": "string",      "color": "string"
    },    "commodityId": 1,    "commodityInfo": "string"
  },  "createdBy": {    "fullName": "string",    "userCode": "string",    "userId": 1
  },  "createdDate": "2026-03-30",  "emissionSourceCode": "string",  "emissionSourceId": 1,  "emissionSourceInfo": "string",  "meter": {    "meterId": 1
  },  "modifiedBy": {    "fullName": "string",    "userCode": "string",    "userId": 1
  },  "modifiedDate": "2026-03-30",  "note": "string",  "scopeCategoryEmissionFactorPairs": [
    {    "factor": {      "factorCode": "string",      "factorId": 1,      "factorInfo": "string"
    },    "isDefaultFactor": false,    "scopeCategory": {      "scopeCategoryDescription": "string",      "scopeCategoryId": 1,      "scopeCategoryInfo": "string",      "scopeId": 1
    }
  }
  ]
}